## org.apache.xalan.processor
Class WhitespaceInfoPaths

    java.lang.Object
      |
      +--org.apache.xml.utils.UnImplNode
            |
            +--org.apache.xalan.templates.ElemTemplateElement
                  |
                  +--org.apache.xalan.templates.ElemTemplate
                        |
                        +--org.apache.xalan.templates.WhiteSpaceInfo
                              |
                              +--org.apache.xalan.processor.WhitespaceInfoPaths

public class WhitespaceInfoPaths
extends WhiteSpaceInfo

See Also:
  Serialized Form

Fields inherited from class org.apache.xalan.templates.ElemTemplate
`m_frameSize`

Constructor Summary
`WhitespaceInfoPaths(Stylesheet thisSheet)` Constructor WhitespaceInfoPaths

Method Summary
`void` `clearElements()`
`void` `setElements(java.util.Vector elems)` Set from the elements attribute.

Methods inherited from class org.apache.xalan.templates.WhiteSpaceInfo
`getShouldStripSpace, recompose`

Methods inherited from class org.apache.xalan.templates.ElemTemplate
`compose, endCompose, execute, getMatch, getMode, getName, getNodeName, getPriority, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getXSLToken, setLocaterInfo, setMatch, setMode, setName, setPriority, setStylesheet`

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement

`appendChild, appendChild, callVisitors, canAcceptVariables, canStripWhiteSpace, compareTo, containsExcludeResultPrefix, error, error, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getEndColumnNumber, getEndLineNumber, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getLocalName, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getOwnerXSLTemplate, getParentElem, getParentNode, getParentNodeElem, getPreviousSibling, getPreviousSiblingElem, getTagName, getUid, getXmlSpace, handlesNullPrefixes, hasChildNodes, hasTextLitOnly, hasVariableDecl, insertBefore, isCompiledTemplate, item, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setEndLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class org.apache.xml.utils.UnImplNode

`adoptNode, appendData, cloneNode, compareDocumentPosition, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getActualEncoding, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDoctype, getDocumentElement, getDocumentURI, getDomConfig, getElementById, getElementsByTagName, getElementsByTagNameNS, getFeature, getImplementation, getInputEncoding, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSchemaTypeInfo, getSpecified, getStrictErrorChecking, getTextContent, getUserData, getWholeText, getXmlEncoding, getXmlStandalone, getXmlVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertData, isDefaultNamespace, isEqualNode, isId, isSameNode, isSupported, isWhitespaceInElementContent, lookupNamespaceURI, lookupPrefix, normalize, normalizeDocument, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, renameNode, replaceData, replaceWholeText, setActualEncoding, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setDocumentURI, setIdAttribute, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setInputEncoding, setNodeValue, setPrefix, setStrictErrorChecking, setTextContent, setUserData, setValue, setXmlEncoding, setXmlStandalone, setXmlVersion, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WhitespaceInfoPaths

    public WhitespaceInfoPaths(Stylesheet thisSheet)

  Constructor WhitespaceInfoPaths
  Parameters:
    `thisSheet` - The current stylesheet

Method Detail

### setElements

    public void setElements(java.util.Vector elems)

  Set from the elements attribute. This is a list of whitespace delimited element qualified names that specify preservation of whitespace.
  Parameters:
    `elems` - Should be a non-null reference to a list of `XPath` objects.

### clearElements

    public void clearElements()

Copyright © 2006 Apache XML Project. All Rights Reserved.